RSAPrivateCrtKey

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.interfaces
Interface RSAPrivateCrtKey

All Superinterfaces:
  Key, PrivateKey, RSAKey, RSAPrivateKey, Serializable

    public interface RSAPrivateCrtKey

extends RSAPrivateKey

The interface to an RSA private key, as defined in the PKCS#1 standard, using the Chinese Remainder Theorem (CRT) information values.

Version:
  1.8 00/02/02
Author:
  Jan Luehe
See Also:
  `RSAPrivateKey`

Field Summary

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Method Summary
`BigInteger` | `getCrtCoefficient()` Returns the crtCoefficient.
`BigInteger` | `getPrimeExponentP()` Returns the primeExponentP.
`BigInteger` | `getPrimeExponentQ()` Returns the primeExponentQ.
`BigInteger` | `getPrimeP()` Returns the primeP.
`BigInteger` | `getPrimeQ()` Returns the primeQ.
`BigInteger` | `getPublicExponent()` Returns the public exponent.

Methods inherited from interface java.security.interfaces.RSAPrivateKey
`getPrivateExponent`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Methods inherited from interface java.security.interfaces.RSAKey
`getModulus`

Method Detail

### getPublicExponent

    BigInteger getPublicExponent()

  Returns the public exponent.

  Returns:
    the public exponent

### getPrimeP

    BigInteger getPrimeP()

  Returns the primeP.

  Returns:
    the primeP

### getPrimeQ

    BigInteger getPrimeQ()

  Returns the primeQ.

  Returns:
    the primeQ

### getPrimeExponentP

    BigInteger getPrimeExponentP()

  Returns the primeExponentP.

  Returns:
    the primeExponentP

### getPrimeExponentQ

    BigInteger getPrimeExponentQ()

  Returns the primeExponentQ.

  Returns:
    the primeExponentQ

### getCrtCoefficient

    BigInteger getCrtCoefficient()

  Returns the crtCoefficient.

  Returns:
    the crtCoefficient

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD